Delete issue comment
DELETE
/issuecomments/{id}Delete a specific comment on an issue (creator only, within 5-minute window)
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, IssueCommentsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new IssueCommentsApi(config);
const result = await api.deleteIssueComment({ "id": 123, "project": 123});console.log(result);curl --request DELETE \ "https://api.testcollab.io/issuecomments/123?token=$TESTCOLLAB_TOKEN&project=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id |
path | number | Yes | Issue Comment ID |
project |
query | number | Yes | Project ID |
Response
Section titled “Response”200 — Issue comment deleted
{}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden - not the creator or delete window expired |